Highlighted

Updating client Snaphostclientsoftware

I'm traying to install de Snapshotclient software on a Linux REd Hat with Netbackup version 6.5.3

The master server is on 7.5.0.3 Netbackup versión. When i try this:

update_clients -ClientList clientes -Install_SNC

the error is:

Cannot update client xfich_gestion
        Invalid hardware type "Linux" and/or operating system "RedHat2.6"
        or client binaries are not installed on the server.

Can anyone help me?

 

 

1 Solution

Accepted Solutions
Accepted Solution!

I'm not sure if it is

I'm not sure if it is documented anywhere, just my personal experience that snapshot backups broke when master/media was upgraded or patched and client(s) were left at previous version.

There is also no longer any support for NBU 6.x, so best to migrate your (seemingly) important client to 64-bit platform for better performance as well as ongoing support.

View solution in original post

9 Replies

Simply run

Simply run 'update_clients'.

There is no longer separate agent and option software for Unix/Linux clients.

All agents and options are included in Client binaries as from NBU 7.0.
(Explained in NBU Installation Guide for Unix/Linux.)

Updated Client software for Linux Clients can be found in the /usr/openv/netbackup/client/Linux/RedHat2.6.18  folder on the master server.

Change your policy and ClientList file to RedHat2.6.18.

You may have to use -ForceInstall option to push new version binaries.

Adding to Marianne's

Adding to Marianne's excellent post, please not that issuing update_client command will update the clients with client software that is placed in your master server. Client software will be updated to 7.5.0.3. Please confirm thos is what you want before issuing update_client.

If you want to install Snapshot Client of 6.5.3, you need to locally install 6.5GA snapshot client option on this client and also locally apply NB_SNC.6.5.3.

when i try update_clients

when i try update_clients this is the error:

Updating client xfich_gestion -- Linux hardware running RedHat2.6

Cannot update client xfich_gestion
        Invalid hardware type "Linux" and/or operating system "RedHat2.6"
        or client binaries are not installed on the server.

I've downloaded NB_SNC.6.5.3 on the master server because the README says that i have to install it on the master server. When i try to do this I have an error because the master server is on 7.5

============================
I. INSTALLATION INSTRUCTIONS
============================


As root on the NetBackup Server with NetBackup for Snapshot Client:
1) Close the NetBackup user interfaces.
   - Make sure the NetBackup server has no active jobs running (for example,
     backups, restores, or duplications).

   - If a database agent is being used, such as Oracle, ensure that the database
     services are stopped.

2) Install Release Update binaries.

    cd /tmp
   /bin/sh NB_update.install

3)  Update the NetBackup Snapshot Client clients, which should
    include the NetBackup master server, with the new Snapshot Client
    software.

    Distribute the NetBackup Snapshot Client software to all currently
    defined clients by executing the following command:
   
    /usr/openv/netbackup/bin/update_clients -Install_SNC <hardware> <os>

    where <hardware> <os> is one of the following:

        HP9000-800 HP-UX11.00
        HP9000-800 HP-UX11.11
        HP-UX-IA64 HP-UX11.23
        Linux  RedHat2.4
        Linux  RedHat2.6
        Linux  SuSE2.6
        RS6000 AIX5
        Solaris Solaris8
        Solaris Solaris9
        Solaris Solaris10

What can i do now?

Please have another look at

Please have another look at my previous post:

Extract:

Updated Client software for Linux Clients can be found in the /usr/openv/netbackup/client/Linux/RedHat2.6.18  folder on the master server.  
(Please double-check on master to confirm. Check contents of folder as well.)

Change your policy and ClientList file to RedHat2.6.18.

You may have to use -ForceInstall option to push new version binaries.

Apologies - I have not read

Apologies - I have not read your request properly...

Why is your client on 6.5.3? Why do you want to push-install 6.5.3 shapshot client software?

Why not upgrade your client with the same version as on the master?

I seriously doubt that NBU master on 7.5.x will support snapshot client on version 6.x.
My personal experience with Snapshot Client was that server and client had to be on exact same version NBU software.

Thank you Marianne Sorry but

Thank you Marianne

Sorry but I try with -ForceInstall option but the error is:

Will not update client xfich_gestion
        xfich_gestion is defined as a client type from an earlier release of NetBackup
.

In the /usr/openv/netbackup/client/Linux/RedHat2.6.18  folder on the master server is empty,

In the  /usr/openv/netbackup/client/Linux/RedHat2.4   folder on the master server the version is 5.1

Where can i find this software

Have you checked that Client

Have you checked that Client OS is compatibile with NBU 7.5.x?

See  NBU 7.x OS Compatibility Guide: http://www.symantec.com/docs/TECH76648

If so, follow steps in this post: 

https://www-secure.symantec.com/connect/forums/remote-installation-linux-media-server-hp-ux-client#c...

 

Thank you Marianne The client

Thank you Marianne

The client is in 32 bits, and Netbackup do not support this after 6.5 version.

Then, I can not do a snapshot client policy against this client because the master server is not in this version?

Accepted Solution!

I'm not sure if it is

I'm not sure if it is documented anywhere, just my personal experience that snapshot backups broke when master/media was upgraded or patched and client(s) were left at previous version.

There is also no longer any support for NBU 6.x, so best to migrate your (seemingly) important client to 64-bit platform for better performance as well as ongoing support.

View solution in original post